/*
******************************************************************

Main CSS: Standard-Tags, Canvases

(c) sinntun.codes
******************************************************************
*/

/* ===========================
   Zweck:
   CSS für base, Grid/Layout, header, footer
   =========================== */

/*****************************************************************
**** Document Base
******************************************************************/

html {
    height: 100%;
    padding: 0;
    scroll-behavior: smooth;
    font-family: var(--font-family-arial), sans-serif;
}

body {
    height: 100%;
    font-size: var(--font-size-18px);
}

html, body {
    width: 100%;
    max-width: 100vw;
    height: 100vh;
}

/* Moderne Browser mit dvh-Support */
@supports (height: 100dvh) {
    html, body {
        height: 100dvh;
    }
}

/*****************************************************************
**** A11y for hidden labels etc. only seen by screenreaders
******************************************************************/
.visually-hidden {
    position: absolute;
    width: 0.063rem;
    height: 0.063rem;
    padding: 0;
    margin: -0.063rem;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

/*****************************************************************
**** Layout / Grid / Canvases
******************************************************************/

#page-canvas {
    width: 100%;
    height: auto;
    position: relative;
    margin: 0 auto;
}

#main-navigation {
    display: inline-block;
    padding: var(--spacing-30px) 0 0;
    margin-bottom: var(--spacing-40px);
    width: 100%;
    overflow: visible;
    z-index: var(--z-index-dropdown);
}

#content-canvas {
    height: auto;
    position: relative;
    margin: auto;
    padding-top: var(--spacing-55px);
}

.page-headline-container {
    margin: 0 auto;
    display: flex;
    max-width: var(--max-width-content);
    justify-content: space-between;
}

.pagetype-start #main-canvas {
    margin: 0 auto;
    width: calc(100% - var(--sidebar-width));
}

.pagetype-standard #main-canvas {
    margin: 0 auto;
    width: calc(100% - var(--sidebar-width));
}

.pageelement-canvas {
    margin: 0 auto;
    width: 100%;
}

/*****************************************************************
**** Header
******************************************************************/

#head-canvas {
    width: 100%;
    height: auto;
    overflow: visible;
    position: relative;
    padding-left: 0;
    padding-top: var(--spacing-15px);
    max-width: var(--max-width-content);
    margin: auto;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: var(--spacing-20px);
    flex-flow: column;
}

#logo {
    display: flex;
    align-items: center;
    min-width: 7.5625rem;
    margin-top: var(--spacing-35px);
    /*  margin-bottom: var(--spacing-60px); #change */
}

#logo img {
    width: 100%;
    height: auto;
    max-width: 20.063rem;
}

#logo:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

#head-right {
    display: flex;
    flex-flow: column;
    gap: var(--spacing-40px);
    width: 100%;
}


.head-text {
    display: block;
    text-align: center;
    position: absolute;
    top: calc(50% - var(--spacing-30px));
    left: 0;
    right: 0;
    margin: 0 auto;
}

#mainimage-background {
    background: #F3F3F3;
}

#mainimage-container {
    max-width: var(--max-width-content);
    margin: auto;
    position: relative;
}

.start-mainimage .copyright {
    position: absolute;
    left: 0.5rem;
    bottom: .2rem;
}

#button-berufung {
    display: flex;
    cursor: pointer;
    position: absolute;
    right: 6.5rem;
    bottom: -8.875rem;
    z-index: 900;
    width: 14rem;
    height: 14rem;
    border-radius: 50%;
    background-color: #276D9F;
    text-align: center;
    font-family: MetaSerifWeb-BookItalic, Georgia, 'Times New Roman', Times, serif;
    font-size: var(--font-size-24px);
    line-height: var(--font-size-28px);
    font-weight: normal;
    color: #FFFFFF;
    text-decoration: none;
    border: var(--spacing-5px) solid #fff;
    box-shadow: 0 0 0 var(--spacing-5px) #276D9F;
    justify-content: center;
    align-items: center;
}

#button-berufung:focus-visible {
    outline: 0.25rem solid #000;
    outline-offset: .5rem;
}

#button-berufung.orange {
    background-color: #EA5831;
    box-shadow: 0 0 0 var(--spacing-5px) #EA5831;
}

#button-berufung:not(.orange) img {
    filter: invert(1);
}

#button-berufung:hover {
    outline: 0.25rem solid #000;
    outline-offset: .5rem;
}

#button-berufung span {
    display: table-cell;
    vertical-align: middle;
    font-size: 2.125rem;
    line-height: normal;
    font-family: var(--font-family-metaserif), sans-serif;
    color: #fff;
}

#button-berufung img {
    width: 9.5rem;
    height: 7.438rem;
    margin-bottom: 1.75rem;
}

#button-berufung.orange span {
    color: var(--color-black);
}

@media only screen and (max-width: 75rem) {
    #button-berufung {
        display: none;
    }
}

/*****************************************************************
**** Footer
******************************************************************/

#footer-canvas {
    height: auto;
    width: 100%;
    position: relative;
    padding: var(--spacing-30px) 0 var(--spacing-60px);
    max-width: var(--max-width-content);
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap: var(--spacing-30px);
    flex-wrap: wrap;
}

#footer-canvas .column {
    margin-left: 0;
}

#footer-canvas .column.image {
    width: 20.063rem;
    max-width: 100%;
}

#footer-canvas .column .text {
    line-height: var(--line-height-normal);
    font-size: var(--font-size-18px);
}

.footer-top {
    border-top: var(--spacing-3px) solid #205D89;
    border-bottom: var(--spacing-3px) solid #205D89;
    padding: 0 var(--spacing-25px);
}

.footer-top-container {
    max-width: var(--max-width-content);
    height: auto;
    position: relative;
    margin: auto;
    padding: var(--spacing-30px) 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: var(--spacing-30px);
    flex-wrap: wrap;
}

.footer-top-container a {
    color: var(--color-text);
    font-size: var(--font-size-18px);
}
.footer-top-container a:hover {
    text-decoration: underline;
    text-decoration-thickness: 0.1rem;
    text-underline-offset: 0.3rem;
}

#footer-bar {
    width: 100%;
    position: relative;
    max-width: var(--max-width-content);
    margin: auto;
    padding: 0 0 var(--spacing-15px);
}

#footer-canvas .copyright {
    margin-top: var(--spacing-15px);
}

#footer-canvas .social-media-link {
    display: flex;
    align-items: center;
    gap: var(--spacing-5px);
    color: var(--color-black);

}

#footer-canvas .social-media-link span {
    font-size: var(--font-size-18px);
}

#footer-canvas .social-media-link:hover span {
    text-decoration: underline;
}

#footer-canvas .nav-footer,
#footer-canvas .column .text,
#footer-canvas .column .external-links-list,
#footer-canvas .socialmedia-icons {
    display: flex;
    flex-flow: column;
    gap: var(--spacing-5px);
}

#footer-canvas .external-links-list .list-item .link:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

#footer-canvas .column.external-links .external-links-list .list-item span {
    color: var(--color-white);
    font-size: var(--font-size-18px);
}


#footer-canvas .column.external-links .external-links-list .list-item:hover span {
    text-decoration: underline;
    color: var(--color-primary);
}

#footer-canvas .column.external-links .external-links-list .list-item:hover .link::after {
    color: var(--color-primary);
}

#footer-canvas .social-media-link:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

#footer-canvas #youtube-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\f167';
    width: 1.5625rem;
}

#footer-canvas #twitter-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\e61b';
    width: 1.5625rem;
}

#footer-canvas #facebook-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\f09a';
    width: 1.5625rem;
}

#footer-canvas #instagram-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\f16d';
    width: 1.5625rem;
}

#footer-canvas #xing-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\f168';
    width: 1.5625rem;
}

#footer-canvas #linkedin-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\f08c';
    width: 1.5625rem;
}

#footer-canvas #tiktok-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\e07b';
    width: 1.5625rem;
}

#footer-canvas #x-link.social-media-link::before {
    font-family: 'Font Awesome 7 Brands', sans-serif;
    font-size: var(--icon-size-24px);
    content: '\e61b';
    width: 1.5625rem;
}

.container-footer-end-links {
    background: #F3F3F3;
}

footer * {
    font-size: var(--font-size-18px);
}

.footer-end-links {
    display: flex;
    justify-content: flex-start;
    padding: var(--spacing-10px) 0;
    margin: auto;
    max-width: var(--max-width-content);
    width: 100%;
}

.footer-end-links a {
    color: var(--color-text);
    text-align: center;
    border-left: var(--border-width-1px) solid var(--color-text);
    padding: 0 var(--spacing-10px);
    line-height: normal;
}

.footer-end-links a:hover {
    text-decoration: underline;
}

.footer-end-links a:first-child {
    border-left: unset;
}

.footer-end-links a:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

.footer-background h2 {
    color: var(--color-text);
    font-size: var(--font-size-18px);
    margin-bottom: var(--spacing-10px);
    font-family: var(--font-family-arial), sans-serif;
    font-weight: bold;
}

#footer-canvas .text-p {
    font-size: var(--font-size-18px);
    line-height: var(--line-height-normal);
}

#footer-canvas .text,
#footer-canvas .text-p,
#footer-canvas .copyright,
#footer-bar-left,
#footer-bar-right {
    color: var(--color-text);
}

#footer-canvas .text-p.telephone,
#footer-canvas .text-p.mobile,
#footer-canvas .text-p.email {
    display: flex;
    gap: var(--spacing-5px);
}

#footer-canvas .text-p.telephone:focus-visible,
#footer-canvas .text-p.mobile:focus-visible,
#footer-canvas .text-p.email:focus-visible {
    outline: var(--outline);
    outline-offset: var(--outline-offset);
}

#footer-canvas .text-p.telephone span,
#footer-canvas .text-p.mobile span,
#footer-canvas .text-p.email span {
    color: var(--color-text);
    font-size: var(--font-size-18px);
}

#footer-canvas .text-p.email .mobile {
    display: none;
}

#footer-canvas .text-p.telephone:hover span,
#footer-canvas .text-p.mobile:hover span,
#footer-canvas .text-p.email:hover span {
    text-decoration: underline;
}

#footer-canvas .text-p.telephone:before {
    content: '\e11b';
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-weight: 900;
    color: #205D89;
}

#footer-canvas .text-p.mobile:before {
    content: '\f3ce';
    font-family: 'Font Awesome 7 Pro', sans-serif;
    color: #205D89;
}

#footer-canvas .text-p.email:before {
    content: '\e10c';
    font-family: 'Font Awesome 7 Pro', sans-serif;
    font-weight: 900;
    color: #205D89;
}

#footer-canvas .column.external-links .external-links-list .list-item .link:after {
    content: '\e09f';
    font-family: 'Font Awesome 7 Pro', sans-serif;
    margin-left: var(--spacing-5px);
    color: var(--color-white);
}

/*****************************************************************
**** Responsive - Desktop Large
******************************************************************/

@media only screen and (max-width: 90.625rem) {
    #head-canvas {
        padding: var(--spacing-15px) var(--spacing-25px) 0;
    }

    #content-canvas {
        margin: 0 var(--spacing-20px);
    }

    #main-canvas {
        margin: var(--spacing-55px) var(--spacing-25px) 0;
    }

    #footer-bar {
        margin-left: var(--spacing-50px);
    }

    #footer-canvas {
        padding: var(--spacing-25px) var(--spacing-25px) var(--spacing-60px);
    }
}

/*****************************************************************
**** Responsive - Desktop/Tablet
******************************************************************/

@media only screen and (max-width: 87.5rem) {
    #head-canvas {
        padding-left: var(--spacing-20px);
        padding-right: var(--spacing-20px);
    }

    #head-right {
        margin-left: auto;
    }
}

/*****************************************************************
**** Responsive - Tablet
******************************************************************/

@media only screen and (max-width: 76.25rem) {
    #head-canvas {
        padding: var(--spacing-15px) var(--spacing-35px) 0;
    }

    #logo {
        min-width: 6rem;
        margin-top: var(--spacing-50px);
        /*  margin-bottom: var(--spacing-50px); # change */
    }

    #head-right {
        gap: var(--spacing-20px);
    }

    .top-navigation .contact {
        gap: var(--spacing-20px);
    }

    .top-navigation .contact .telephone .text,
    .top-navigation .contact .email .text {
        font-size: var(--font-size-18px);
    }

    .nav-footer {
        box-sizing: border-box;
    }

    #footer-bar {
        box-sizing: border-box;
        display: block;
        text-align: center;
        margin-left: 0;
    }
}

/* #change
@media only screen and (max-width: 68.75rem) {
    #logo {
        margin-top: 0;
    }
}
*/
/*****************************************************************
**** Responsive - Mobile
******************************************************************/

@media only screen and (max-width: 84.375rem) {
    /* ========== HEADER MOBILE ========== */
    #head-canvas {
        padding: var(--spacing-20px) var(--spacing-20px) var(--spacing-15px);
        min-height: 4.6875rem;
        align-items: start;
    }

    #logo {
        margin-top: 0;
    }

    #head-right {
        flex-flow: row nowrap;
        gap: var(--spacing-20px);
        align-items: center;
        margin-left: auto;
    }

    .top-navigation {
        position: static;
        align-self: center;
        display: flex;
        align-items: center;
        height: 1.8125rem;
    }

    .top-navigation .contact {
        display: flex;
        gap: var(--spacing-60px);
        align-items: center;
        height: 100%;
        margin-right: 5rem;
    }

    .top-navigation .contact .telephone,
    .top-navigation .contact .email {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0;
        height: 100%;
    }

    .top-navigation .contact .telephone:before,
    .top-navigation .contact .email:before {
        font-size: var(--font-size-20px);
    }

    /* Nur Icons anzeigen, Text verstecken */
    .top-navigation .contact .telephone .text,
    .top-navigation .contact .email .text {
        display: none;
    }

    .head-text {
        display: none;
    }

    /* ========== OTHER MOBILE STYLES ========== */
    #info-canvas {
        width: 100%;
        margin: 0;
        max-width: 100%;
        padding-left: var(--spacing-20px);
        padding-right: var(--spacing-20px);
    }

    #main-canvas {
        width: 100%;
        margin-left: 0;
        margin-top: var(--spacing-25px);
        margin-right: 0;
        padding-left: var(--spacing-20px);
        padding-right: var(--spacing-20px);
    }

    #main-navigation,
    #meta-navigation {
        display: none;
    }

    .footer-top-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    #footer-canvas {
        padding: var(--spacing-25px) var(--spacing-50px);
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .footer-top-container .column {
        margin-bottom: var(--spacing-25px);
    }

    #footer-canvas .column {
        margin-bottom: var(--spacing-25px);
    }

    #footer-canvas .socialmedia-icons {
        display: flex;
        justify-content: start;
        align-items: center;
    }

    #footer-canvas .social-media-link {
        float: none;
    }

    #footer-canvas .column .text {
        display: flex;
        flex-flow: column;
        align-items: center;
    }
    .footer-end-links {
        justify-content: center;
        flex-flow: column;
        gap: var(--spacing-5px);
    }

    .footer-end-links a {
        border-left: unset;
        margin: auto;
        display: block;
        line-height: 1.375rem;
    }

}

@media only screen and (max-width: 53.75rem) {
    #footer-canvas {
        padding: var(--spacing-25px) 0;
    }

    #footer-canvas .column {
        width: auto;
        float: none;
        margin: auto;
        text-align: center;
        padding: 0 var(--spacing-20px) var(--spacing-25px);
    }

    #footer-canvas .column.right-column {
        display: flex;
        justify-content: center;
        flex-direction: column;
    }

    #footer-canvas .socialmedia-icons {
        justify-content: center;
    }
}

/*****************************************************************
**** Responsive - Mobile Small
******************************************************************/

@media only screen and (max-width: 48rem) {
    #head-canvas {
        padding: var(--spacing-15px) var(--spacing-20px);
    }

    .top-navigation .contact {
        gap: var(--spacing-60px);
    }

    .top-navigation .contact .telephone:before,
    .top-navigation .contact .email:before {
        font-size: var(--font-size-30px);

    }

    #main-navigation {
        display: none;
    }

    #main-canvas {
        width: 100%;
        margin-left: 0;
        margin-top: var(--spacing-25px);
    }

    #info-canvas {
        width: 100%;
        margin: 0;
    }

    #aside-canvas {
        width: 100%;
        margin-bottom: var(--spacing-10px);
    }

    #head-image {
        display: none;
    }

    #head-image img {
        display: none;
    }
}

/*****************************************************************
**** Responsive - Mobile Extra Small
******************************************************************/

@media only screen and (max-width: 30rem) {

    #logo {
        width: 13.5rem;
    }

    #head-canvas {
        padding: var(--spacing-20px);
        gap: 0;
    }

    .top-navigation .contact {
        gap: var(--spacing-60px);

    }

    #footer-canvas .text-p.email .desktop {
        display: none;
    }

    #footer-canvas .text-p.email .mobile {
        display: inline-block;
    }

    footer * {
        font-size: var(--font-size-18px);
    }

    .footer-background h2 {
        font-size: var(--font-size-18px);
    }

    #footer-canvas .column .text {
        font-size: var(--font-size-18px);
    }

    #footer-canvas .text-p.telephone span,
    #footer-canvas .text-p.mobile span,
    #footer-canvas .text-p.email span {
        font-size: var(--font-size-18px);
        line-height: 2rem;
    }

    #footer-canvas .text-p {
        font-size: var(--font-size-20px);
    }

    #footer-canvas #youtube-link.social-media-link::before,
    #footer-canvas #twitter-link.social-media-link::before,
    #footer-canvas #facebook-link.social-media-link::before,
    #footer-canvas #instagram-link.social-media-link::before,
    #footer-canvas #xing-link.social-media-link::before,
    #footer-canvas #linkedin-link.social-media-link::before,
    #footer-canvas #tiktok-link.social-media-link::before,
    #footer-canvas #x-link.social-media-link::before {
        font-size: var(--icon-size-20px);
    }

    #footer-canvas .social-media-link span {
        font-size: var(--font-size-18px);
        line-height: 2rem;
    }
}